slepc-3.21.1 2024-04-26
Report Typos and Errors

# PEPSTOARSetLinearization

Set the coefficients that define the linearization of a quadratic eigenproblem.

### Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPSTOARSetLinearization(PEP pep,PetscReal alpha,PetscReal beta)

Logically Collective

### Input Parameters

| pep | - polynomial eigenvalue solver
| alpha | - first parameter of the linearization
| beta | - second parameter of the linearization

### Options Database Key

| -pep_stoar_linearization <alpha,beta> | - Sets the coefficients

### Notes

Cannot pass zero for both alpha and beta. The default values are alpha=1 and beta=0.

### See Also

PEPSTOARGetLinearization()

### Level

advanced

### Location

src/pep/impls/krylov/stoar/stoar.c

### Examples

src/pep/tutorials/ex40.c
Index of all PEP routines
Table of Contents for all manual pages
Index of all manual pages